Bug 90441 - Revert change to short_open_tag setting
Revert change to short_open_tag setting
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 06:46 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 10:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-05-08 06:46:27 EDT
Description of problem:
The default setting of short_open_tag in php.ini was changed from On to Off in
php-4.1.2-2.1.4 (in an erratum release), which breaks Piranha among others - see
bug 75912. This should be reverted to Off.

Version-Release number of selected component (if applicable):
php-4.1.2-2.1.4 and later

How reproducible:
Always

Steps to Reproduce:
1. echo '<? echo hello; ?>'  > test.php
2. php -q test.php

Actual results:
<? echo hello ?>

Expected results:
hello

Additional info:
This is only reproducible if php has been not been upgraded from the original
RHEL2.1 php package, e.g. if installing from the QU2, or using "update php"
after not installing using PHP.

Note You need to log in before you can comment on or make changes to this bug.